unit schVentasEnProcesoClient_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_VentasEnProcesoPendientes = '{6A914050-F90B-4E27-992C-A010950CC420}';

  { Data table names }
  nme_VentasEnProcesoPendientes = 'VentasEnProcesoPendientes';

  { VentasEnProcesoPendientes fields }
  fld_VentasEnProcesoPendientesNUMINF = 'NUMINF';
  fld_VentasEnProcesoPendientesCLAVE1 = 'CLAVE1';
  fld_VentasEnProcesoPendientesCLAVE2 = 'CLAVE2';
  fld_VentasEnProcesoPendientesCLAVE3 = 'CLAVE3';
  fld_VentasEnProcesoPendientesFECHA = 'FECHA';
  fld_VentasEnProcesoPendientesDIA = 'DIA';
  fld_VentasEnProcesoPendientesDIASEMANA = 'DIASEMANA';
  fld_VentasEnProcesoPendientesMES = 'MES';
  fld_VentasEnProcesoPendientesANO = 'ANO';
  fld_VentasEnProcesoPendientesCENTRO = 'CENTRO';
  fld_VentasEnProcesoPendientesVENDEDOR = 'VENDEDOR';
  fld_VentasEnProcesoPendientesNUMTALON = 'NUMTALON';
  fld_VentasEnProcesoPendientesCODIGO = 'CODIGO';
  fld_VentasEnProcesoPendientesPRODUCTO = 'PRODUCTO';
  fld_VentasEnProcesoPendientesGRUPOPRODUCTO = 'GRUPOPRODUCTO';
  fld_VentasEnProcesoPendientesTIPOPRODUCTO = 'TIPOPRODUCTO';
  fld_VentasEnProcesoPendientesCOLECCION = 'COLECCION';
  fld_VentasEnProcesoPendientesCOLOR = 'COLOR';
  fld_VentasEnProcesoPendientesTALLA = 'TALLA';
  fld_VentasEnProcesoPendientesINICIO = 'INICIO';
  fld_VentasEnProcesoPendientesFINAL = 'FINAL';
  fld_VentasEnProcesoPendientesIMPORTE = 'IMPORTE';

  { VentasEnProcesoPendientes field indexes }
  idx_VentasEnProcesoPendientesNUMINF = 0;
  idx_VentasEnProcesoPendientesCLAVE1 = 1;
  idx_VentasEnProcesoPendientesCLAVE2 = 2;
  idx_VentasEnProcesoPendientesCLAVE3 = 3;
  idx_VentasEnProcesoPendientesFECHA = 4;
  idx_VentasEnProcesoPendientesDIA = 5;
  idx_VentasEnProcesoPendientesDIASEMANA = 6;
  idx_VentasEnProcesoPendientesMES = 7;
  idx_VentasEnProcesoPendientesANO = 8;
  idx_VentasEnProcesoPendientesCENTRO = 9;
  idx_VentasEnProcesoPendientesVENDEDOR = 10;
  idx_VentasEnProcesoPendientesNUMTALON = 11;
  idx_VentasEnProcesoPendientesCODIGO = 12;
  idx_VentasEnProcesoPendientesPRODUCTO = 13;
  idx_VentasEnProcesoPendientesGRUPOPRODUCTO = 14;
  idx_VentasEnProcesoPendientesTIPOPRODUCTO = 15;
  idx_VentasEnProcesoPendientesCOLECCION = 16;
  idx_VentasEnProcesoPendientesCOLOR = 17;
  idx_VentasEnProcesoPendientesTALLA = 18;
  idx_VentasEnProcesoPendientesINICIO = 19;
  idx_VentasEnProcesoPendientesFINAL = 20;
  idx_VentasEnProcesoPendientesIMPORTE = 21;

type
  { IVentasEnProcesoPendientes }
  IVentasEnProcesoPendientes = interface(IDAStronglyTypedDataTable)
  ['{75EFCBF2-47FD-4655-A865-27703C29C80D}']
    { Property getters and setters }
    function GetNUMINFValue: String;
    procedure SetNUMINFValue(const aValue: String);
    function GetCLAVE1Value: Float;
    procedure SetCLAVE1Value(const aValue: Float);
    function GetCLAVE2Value: Integer;
    procedure SetCLAVE2Value(const aValue: Integer);
    function GetCLAVE3Value: Integer;
    procedure SetCLAVE3Value(const aValue: Integer);
    function GetFECHAValue: DateTime;
    procedure SetFECHAValue(const aValue: DateTime);
    function GetDIAValue: Integer;
    procedure SetDIAValue(const aValue: Integer);
    function GetDIASEMANAValue: String;
    procedure SetDIASEMANAValue(const aValue: String);
    function GetMESValue: String;
    procedure SetMESValue(const aValue: String);
    function GetANOValue: Integer;
    procedure SetANOValue(const aValue: Integer);
    function GetCENTROValue: String;
    procedure SetCENTROValue(const aValue: String);
    function GetVENDEDORValue: String;
    procedure SetVENDEDORValue(const aValue: String);
    function GetNUMTALONValue: String;
    procedure SetNUMTALONValue(const aValue: String);
    function GetCODIGOValue: String;
    procedure SetCODIGOValue(const aValue: String);
    function GetPRODUCTOValue: String;
    procedure SetPRODUCTOValue(const aValue: String);
    function GetGRUPOPRODUCTOValue: String;
    procedure SetGRUPOPRODUCTOValue(const aValue: String);
    function GetTIPOPRODUCTOValue: String;
    procedure SetTIPOPRODUCTOValue(const aValue: String);
    function GetCOLECCIONValue: String;
    procedure SetCOLECCIONValue(const aValue: String);
    function GetCOLORValue: String;
    procedure SetCOLORValue(const aValue: String);
    function GetTALLAValue: String;
    procedure SetTALLAValue(const aValue: String);
    function GetINICIOValue: Float;
    procedure SetINICIOValue(const aValue: Float);
    function GetFINALValue: Float;
    procedure SetFINALValue(const aValue: Float);
    function GetIMPORTEValue: Float;
    procedure SetIMPORTEValue(const aValue: Float);


    { Properties }
    property NUMINF: String read GetNUMINFValue write SetNUMINFValue;
    property CLAVE1: Float read GetCLAVE1Value write SetCLAVE1Value;
    property CLAVE2: Integer read GetCLAVE2Value write SetCLAVE2Value;
    property CLAVE3: Integer read GetCLAVE3Value write SetCLAVE3Value;
    property FECHA: DateTime read GetFECHAValue write SetFECHAValue;
    property DIA: Integer read GetDIAValue write SetDIAValue;
    property DIASEMANA: String read GetDIASEMANAValue write SetDIASEMANAValue;
    property MES: String read GetMESValue write SetMESValue;
    property ANO: Integer read GetANOValue write SetANOValue;
    property CENTRO: String read GetCENTROValue write SetCENTROValue;
    property VENDEDOR: String read GetVENDEDORValue write SetVENDEDORValue;
    property NUMTALON: String read GetNUMTALONValue write SetNUMTALONValue;
    property CODIGO: String read GetCODIGOValue write SetCODIGOValue;
    property PRODUCTO: String read GetPRODUCTOValue write SetPRODUCTOValue;
    property GRUPOPRODUCTO: String read GetGRUPOPRODUCTOValue write SetGRUPOPRODUCTOValue;
    property TIPOPRODUCTO: String read GetTIPOPRODUCTOValue write SetTIPOPRODUCTOValue;
    property COLECCION: String read GetCOLECCIONValue write SetCOLECCIONValue;
    property COLOR: String read GetCOLORValue write SetCOLORValue;
    property TALLA: String read GetTALLAValue write SetTALLAValue;
    property INICIO: Float read GetINICIOValue write SetINICIOValue;
    property FINAL: Float read GetFINALValue write SetFINALValue;
    property IMPORTE: Float read GetIMPORTEValue write SetIMPORTEValue;
  end;

  { TVentasEnProcesoPendientesDataTableRules }
  TVentasEnProcesoPendientesDataTableRules = class(TDADataTableRules, IVentasEnProcesoPendientes)
  private
  protected
    { Property getters and setters }
    function GetNUMINFValue: String; virtual;
    procedure SetNUMINFValue(const aValue: String); virtual;
    function GetCLAVE1Value: Float; virtual;
    procedure SetCLAVE1Value(const aValue: Float); virtual;
    function GetCLAVE2Value: Integer; virtual;
    procedure SetCLAVE2Value(const aValue: Integer); virtual;
    function GetCLAVE3Value: Integer; virtual;
    procedure SetCLAVE3Value(const aValue: Integer); virtual;
    function GetFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetDIAValue: Integer; virtual;
    procedure SetDIAValue(const aValue: Integer); virtual;
    function GetDIASEMANAValue: String; virtual;
    procedure SetDIASEMANAValue(const aValue: String); virtual;
    function GetMESValue: String; virtual;
    procedure SetMESValue(const aValue: String); virtual;
    function GetANOValue: Integer; virtual;
    procedure SetANOValue(const aValue: Integer); virtual;
    function GetCENTROValue: String; virtual;
    procedure SetCENTROValue(const aValue: String); virtual;
    function GetVENDEDORValue: String; virtual;
    procedure SetVENDEDORValue(const aValue: String); virtual;
    function GetNUMTALONValue: String; virtual;
    procedure SetNUMTALONValue(const aValue: String); virtual;
    function GetCODIGOValue: String; virtual;
    procedure SetCODIGOValue(const aValue: String); virtual;
    function GetPRODUCTOValue: String; virtual;
    procedure SetPRODUCTOValue(const aValue: String); virtual;
    function GetGRUPOPRODUCTOValue: String; virtual;
    procedure SetGRUPOPRODUCTOValue(const aValue: String); virtual;
    function GetTIPOPRODUCTOValue: String; virtual;
    procedure SetTIPOPRODUCTOValue(const aValue: String); virtual;
    function GetCOLECCIONValue: String; virtual;
    procedure SetCOLECCIONValue(const aValue: String); virtual;
    function GetCOLORValue: String; virtual;
    procedure SetCOLORValue(const aValue: String); virtual;
    function GetTALLAValue: String; virtual;
    procedure SetTALLAValue(const aValue: String); virtual;
    function GetINICIOValue: Float; virtual;
    procedure SetINICIOValue(const aValue: Float); virtual;
    function GetFINALValue: Float; virtual;
    procedure SetFINALValue(const aValue: Float); virtual;
    function GetIMPORTEValue: Float; virtual;
    procedure SetIMPORTEValue(const aValue: Float); virtual;

    { Properties }
    property NUMINF: String read GetNUMINFValue write SetNUMINFValue;
    property CLAVE1: Float read GetCLAVE1Value write SetCLAVE1Value;
    property CLAVE2: Integer read GetCLAVE2Value write SetCLAVE2Value;
    property CLAVE3: Integer read GetCLAVE3Value write SetCLAVE3Value;
    property FECHA: DateTime read GetFECHAValue write SetFECHAValue;
    property DIA: Integer read GetDIAValue write SetDIAValue;
    property DIASEMANA: String read GetDIASEMANAValue write SetDIASEMANAValue;
    property MES: String read GetMESValue write SetMESValue;
    property ANO: Integer read GetANOValue write SetANOValue;
    property CENTRO: String read GetCENTROValue write SetCENTROValue;
    property VENDEDOR: String read GetVENDEDORValue write SetVENDEDORValue;
    property NUMTALON: String read GetNUMTALONValue write SetNUMTALONValue;
    property CODIGO: String read GetCODIGOValue write SetCODIGOValue;
    property PRODUCTO: String read GetPRODUCTOValue write SetPRODUCTOValue;
    property GRUPOPRODUCTO: String read GetGRUPOPRODUCTOValue write SetGRUPOPRODUCTOValue;
    property TIPOPRODUCTO: String read GetTIPOPRODUCTOValue write SetTIPOPRODUCTOValue;
    property COLECCION: String read GetCOLECCIONValue write SetCOLECCIONValue;
    property COLOR: String read GetCOLORValue write SetCOLORValue;
    property TALLA: String read GetTALLAValue write SetTALLAValue;
    property INICIO: Float read GetINICIOValue write SetINICIOValue;
    property FINAL: Float read GetFINALValue write SetFINALValue;
    property IMPORTE: Float read GetIMPORTEValue write SetIMPORTEValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants;

{ TVentasEnProcesoPendientesDataTableRules }
constructor TVentasEnProcesoPendientesDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TVentasEnProcesoPendientesDataTableRules.Destroy;
begin
  inherited;
end;

function TVentasEnProcesoPendientesDataTableRules.GetNUMINFValue: String;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesNUMINF].AsString;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetNUMINFValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesNUMINF].AsString := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetCLAVE1Value: Float;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesCLAVE1].AsFloat;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetCLAVE1Value(const aValue: Float);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesCLAVE1].AsFloat := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetCLAVE2Value: Integer;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesCLAVE2].AsInteger;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetCLAVE2Value(const aValue: Integer);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesCLAVE2].AsInteger := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetCLAVE3Value: Integer;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesCLAVE3].AsInteger;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetCLAVE3Value(const aValue: Integer);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesCLAVE3].AsInteger := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetFECHAValue: DateTime;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesFECHA].AsDateTime;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetFECHAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesFECHA].AsDateTime := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetDIAValue: Integer;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesDIA].AsInteger;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetDIAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesDIA].AsInteger := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetDIASEMANAValue: String;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesDIASEMANA].AsString;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetDIASEMANAValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesDIASEMANA].AsString := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetMESValue: String;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesMES].AsString;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetMESValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesMES].AsString := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetANOValue: Integer;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesANO].AsInteger;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetANOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesANO].AsInteger := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetCENTROValue: String;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesCENTRO].AsString;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetCENTROValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesCENTRO].AsString := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetVENDEDORValue: String;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesVENDEDOR].AsString;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetVENDEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesVENDEDOR].AsString := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetNUMTALONValue: String;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesNUMTALON].AsString;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetNUMTALONValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesNUMTALON].AsString := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetCODIGOValue: String;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesCODIGO].AsString;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetCODIGOValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesCODIGO].AsString := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetPRODUCTOValue: String;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesPRODUCTO].AsString;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetPRODUCTOValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesPRODUCTO].AsString := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetGRUPOPRODUCTOValue: String;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesGRUPOPRODUCTO].AsString;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetGRUPOPRODUCTOValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesGRUPOPRODUCTO].AsString := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetTIPOPRODUCTOValue: String;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesTIPOPRODUCTO].AsString;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetTIPOPRODUCTOValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesTIPOPRODUCTO].AsString := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetCOLECCIONValue: String;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesCOLECCION].AsString;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetCOLECCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesCOLECCION].AsString := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetCOLORValue: String;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesCOLOR].AsString;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetCOLORValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesCOLOR].AsString := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetTALLAValue: String;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesTALLA].AsString;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetTALLAValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesTALLA].AsString := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetINICIOValue: Float;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesINICIO].AsFloat;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetINICIOValue(const aValue: Float);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesINICIO].AsFloat := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetFINALValue: Float;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesFINAL].AsFloat;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetFINALValue(const aValue: Float);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesFINAL].AsFloat := aValue;
end;

function TVentasEnProcesoPendientesDataTableRules.GetIMPORTEValue: Float;
begin
  result := DataTable.Fields[idx_VentasEnProcesoPendientesIMPORTE].AsFloat;
end;

procedure TVentasEnProcesoPendientesDataTableRules.SetIMPORTEValue(const aValue: Float);
begin
  DataTable.Fields[idx_VentasEnProcesoPendientesIMPORTE].AsFloat := aValue;
end;


initialization
  RegisterDataTableRules(RID_VentasEnProcesoPendientes, TVentasEnProcesoPendientesDataTableRules);

end.
